Returns if the specified module is a block algorithm or not

- « mcrypt_module_get_supported_key_sizes

- mcrypt_module_is_block_algorithm »

- PHP Manual
- Mcrypt Functions
- Returns if the specified module is a block algorithm or not

# mcrypt_module_is_block_algorithm_mode

(PHP 4 >= 4.0.2, PHP 5, PHP 7 < 7.2.0, PECL mcrypt >= 1.0.0)

mcrypt_module_is_block_algorithm_mode — Returns if the specified module is a block algorithm or not

Warning

This function has been DEPRECATED as of PHP 7.1.0 and REMOVED as of PHP 7.2.0. Relying on this function is highly discouraged.

### Description

mcrypt_module_is_block_algorithm_mode(string `$mode`, string `$lib_dir` = ?): bool

This function returns `true` if the mode is for use with block algorithms, otherwise it returns `false`. (e.g. `false` for stream, and `true` for cbc, cfb, ofb).

### Parameters

`mode`

  The mode to check.

`lib_dir`

  The optional `lib_dir` parameter can contain the location where the algorithm module is on the system.

### Return Values

This function returns `true` if the mode is for use with block algorithms, otherwise it returns `false`. (e.g. `false` for stream, and `true` for cbc, cfb, ofb).